Bug 3506 - Winbind procress crashing
Winbind procress crashing
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.21b
Sparc Solaris
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-13 06:32 UTC by Matthias Kahle
Modified: 2006-04-20 08:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Kahle 2006-02-13 06:32:56 UTC
We seem to have a problem with winbindd on Solaris 8 using Samba 3.0.21b.

The Testmachine is member Server of an AD and was joined into the AD using Samba 3.0.20.

After upgrading to 3.0.21b "net ads testjoin" reports "Join is OK". However when trying to start winbindd I keep getting the following entries in the log file:

  ===============================================================
[2006/02/13 13:25:14, 0] lib/fault.c:(37)
  INTERNAL ERROR: Signal 11 in pid 20661 (3.0.21b)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2006/02/13 13:25:14, 0] lib/fault.c:(39)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2006/02/13 13:25:14, 0] lib/fault.c:(40)
  ===============================================================

After increasing the log level to 10 I recognized the following entries in the log (not sure if this is in any way related):
...
get_sequence_for_reply: found seq = 3 mid = 3
simple_packet_signature: sequence number 3
client_check_incoming_message: seq 3: got good SMB signature of
[000] 0A 55 A3 33 16 F7 7E E3                           .U.3..~.
failed tcon_X with NT_STATUS_BAD_DEVICE_TYPE
secrets_named_mutex: released mutex for XXXXXXXX
add_failed_connection_entry: added domain YYYYYY (XXXXXXXX) to failed conn cache
check_negative_conn_cache: returning negative entry for YYYYYY, XXXXXXXX
...

When I downgrade to from 3.0.21b to 3.0.20 winbind is working again.

Kind Regards,
Matthias
Comment 1 Gerald (Jerry) Carter 2006-04-10 07:15:01 UTC
What type of DC are you connecting ?  (OS & service pack)
Comment 2 Gerald (Jerry) Carter 2006-04-20 08:26:22 UTC
please retest using 3.0.23pre1 (due out today).